<div class="flex justify-center">
  <div class="container--wide w-full">
    <div
      class="flex flex-col gap-8 mb-16"
      id="showMoreTimelineResultsWrapper"
    >
      {% include 'styleguide2/includes/organisms/articles/articles_timeline_list.html' with article_timeline_list=article_timeline_list %}
    </div>

    {% if show_next_timeline_articles %}
      <div class="flex justify-center mb-16">
        <div
          onclick="showMoreTimelineArticles(event, this)"
          data-url="{{ page_url }}{% if filtered_tag %}?tag_id={{ filtered_tag.id }}&amp;{% else %}?{% endif %}article_count="
          data-count="{{ article_count }}"
        >
          {% include 'styleguide2/includes/atoms/buttons/round_button.html' with text='Další články' show_arrow_on_hover=True %}
        </div>
      </div>
    {% endif %}
  </div>
</div>

<script type="text/javascript">
  async function showMoreTimelineArticles(event, btn) {
    event.preventDefault()

    let count = parseInt(btn.dataset.count)
    count += 20
    btn.setAttribute("data-count", count)

    const showMoreTimelineResultsWrapper = document.getElementById('showMoreTimelineResultsWrapper')
    const url = btn.dataset.url + btn.dataset.count

    const response = await fetch(url, {
      method: "GET",
      headers: {"X-Requested-With": "XMLHttpRequest"},
    })
    const data = await response.json()

    showMoreTimelineResultsWrapper.innerHTML = data.html

    if (!data.has_next) {
      btn.style.display = 'none';
    }
  }
</script>
